Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.projectuiapi/1 1.13.22 5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.spi.project.ui.support
Class CommonProjectActions

    java.lang.Object
      org.netbeans.spi.project.ui.support.CommonProjectActions

    public class CommonProjectActions

extends Object

Factory for commonly needed generic project actions.

Field Summary
`static String` | `EXISTING_SOURCES_FOLDER` `FileObject` value honored by `newProjectAction()` that defines initial value for existing sources directory choosers.

Method Summary
`static Action` | `closeProjectAction()` Create an action "Close Project".
`static Action` | `copyProjectAction()` Create an action "Copy Project".
`static Action` | `customizeProjectAction()` Create an action "Customize Project".
`static Action` | `deleteProjectAction()` Create an action "Delete Project".
`static Action` | `moveProjectAction()` Create an action "Move Project".
`static Action` | `newFileAction()` Create an action project dependent "New File" action.
`static Action` | `newProjectAction()` Creates action that invokes New Project wizard.
`static Action` | `openSubprojectsAction()` Create an action "Open Subprojects".
`static Action` | `renameProjectAction()` Create an action "Rename Project".
`static Action` | `setAsMainProjectAction()` Create an action "Set As Main Project".

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXISTING_SOURCES_FOLDER

    public static final String EXISTING_SOURCES_FOLDER

  `FileObject` value honored by `newProjectAction()` that defines initial value for existing sources directory choosers.

  Since:
    org.netbeans.modules.projectuiapi/1 1.3
  See Also:
    Constant Field Values

Method Detail

### setAsMainProjectAction

    public static Action setAsMainProjectAction()

  Create an action "Set As Main Project". It should be invoked with an action context containing one `Project`.

  You might include this in the context menu of a logical view.

  Returns:
    an action

### customizeProjectAction

    public static Action customizeProjectAction()

  Create an action "Customize Project". It should be invoked with an action context containing one `Project`.

  You might include this in the context menu of a logical view.

  Returns:
    an action

### openSubprojectsAction

    public static Action openSubprojectsAction()

  Create an action "Open Subprojects". It should be invoked with an action context containing one or more `Project`s.

  You might include this in the context menu of a logical view.

  Returns:
    an action
  See Also:
    `SubprojectProvider`

### closeProjectAction

    public static Action closeProjectAction()

  Create an action "Close Project". It should be invoked with an action context containing one or more `Project`s.

  You might include this in the context menu of a logical view.

  Returns:
    an action

### newFileAction

    public static Action newFileAction()

  Create an action project dependent "New File" action.

  You might include this in the context menu of a logical view.

  Returns:
    an action
  See Also:
    `PrivilegedTemplates`, `RecommendedTemplates`

### deleteProjectAction

    public static Action deleteProjectAction()

  Create an action "Delete Project". It should be invoked with an action context containing one or more `Project`s.

  You might include this in the context menu of a logical view.

  Returns:
    an action
  Since:
    1.8

### copyProjectAction

    public static Action copyProjectAction()

  Create an action "Copy Project". It should be invoked with an action context containing one or more `Project`s.

  You might include this in the context menu of a logical view.

  Returns:
    an action
  Since:
    1.10

### moveProjectAction

    public static Action moveProjectAction()

  Create an action "Move Project". It should be invoked with an action context containing one or more `Project`s.

  You might include this in the context menu of a logical view.

  Returns:
    an action
  Since:
    1.10

### renameProjectAction

    public static Action renameProjectAction()

  Create an action "Rename Project". It should be invoked with an action context containing one or more `Project`s.

  You might include this in the context menu of a logical view.

  Returns:
    an action
  Since:
    1.10

### newProjectAction

    public static Action newProjectAction()

  Creates action that invokes New Project wizard.

  `EXISTING_SOURCES_FOLDER` keyed action value can carry `FileObject` that points to existing sources folder. `Set this value` if you open the wizard and you know user expectations about initial value for wizard choosers that refers to existing sources location.

  Returns:
    an action
  Since:
    org.netbeans.modules.projectuiapi/1 1.3

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.projectuiapi/1 1.13.22 5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.